## org.apache.myfaces.renderkit.html
Class HtmlTextareaRendererBase

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.myfaces.renderkit.html.HtmlRenderer
              org.apache.myfaces.renderkit.html.HtmlTextareaRendererBase

Direct Known Subclasses:
  HtmlTextareaRenderer

public class HtmlTextareaRendererBase
extends HtmlRenderer

Version:
  $Revision: 170291 $ $Date: 2005-05-15 20:44:39 -0400 (Sun, 15 May 2005) $
Author:
  Manfred Geiler (latest modification by $Author: mmarinschek $), Anton Koinov

Constructor Summary
`HtmlTextareaRendererBase()`

Method Summary
`void` `decode(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`void` `encodeEnd(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`
`protected void` `encodeTextArea(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`
`java.lang.Object` `getConvertedValue(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent, java.lang.Object submittedValue)`
`protected boolean` `isDisabled(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`

Methods inherited from class org.apache.myfaces.renderkit.html.HtmlRenderer
`encodeChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, encodeBegin, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlTextareaRendererBase

    public HtmlTextareaRendererBase()

Method Detail

### encodeEnd

    public void encodeEnd(javax.faces.context.FacesContext facesContext,
                          javax.faces.component.UIComponent uiComponent)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeTextArea

    protected void encodeTextArea(javax.faces.context.FacesContext facesContext,
                                  javax.faces.component.UIComponent uiComponent)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### isDisabled

    protected boolean isDisabled(javax.faces.context.FacesContext facesContext,
                                 javax.faces.component.UIComponent uiComponent)

### decode

    public void decode(javax.faces.context.FacesContext facesContext,
                       javax.faces.component.UIComponent component)

### getConvertedValue

    public java.lang.Object getConvertedValue(javax.faces.context.FacesContext facesContext,
                                              javax.faces.component.UIComponent uiComponent,
                                              java.lang.Object submittedValue)
                                       throws javax.faces.convert.ConverterException

  Throws:
    `javax.faces.convert.ConverterException`